Subject: [bug#39336] [PATCH] gnu: Add emacs-gnus-harvest.

From: Nicolas Goaziou <[email-masked]>
Date: Sun, 02 Feb 2020 14:48:34 +0100

Hello,

Amin Bandali <[email-masked]> writes:

> * gnu/packages/emacs-xyz.scm (emacs-gnus-harvest): New variable.

Thank you.

> +      (propagated-inputs
> +       `(("sqlite" ,sqlite)))

Must "sqlite" be a propagated input? IOW, could you patch source so it
can be an input instead?

> +      (description "@code{gnus-harvest} notices email address in every
> +message or post you read or write, and collects them in a SQLite
> +database, which can be easily and quickly queried to determine the
> +completion list.  Optionally uses @code{bbdb} and @code{message-x}.")

Would it make sense to add "emacs-message-x" as a propagated input too?

Regards,

-- 
Nicolas Goaziou